# Name

checkstyle

# Category

Test

# Description

checkstyle is a style linter for Java and many Java-adjacent languages. This plugin requires
support from the Build Tool in order to work correctly. At present, support for `ant`, `maven`, and `gradle` are
built-in.

# Environment Variables

None

# Options

Option | Notes
--- | ---
`--checkstyle-goal=<goal>` | Choose between `check` or `checkstyle` Maven goals. Defaults to `checkstyle`.

# Docker Notes

None

# Developer Notes

None